UCS_4.0-0-RC-amd64 - kein open-xchange, kolab im app center

german

#1

Hallo,

Ich möchte UCS 4 mit open-xchange (ev. auch kolab) testen, das app center bietet mir aber nur horde und zarafa.
Daher die Frage: wie installiere ich open-xchange auf UCS 4 RC?

Danke,
Martin


#2

Hallo,

im Moment wird das noch nicht gehen. Für OX und Kolab kann ich selbst nichts Genaues sagen, aber ich vermute, alle anderen werden wie wir (für PLUCS und ownCloud) innerhalb der nächsten Tage die Apps bereitstellen. Der zuständige Produktmanager bei Univention ist da sehr rührig.
Wir sind jeden jedenfalls für unsere Angebote bereits beim aktiven Test mit dem RC.

Viele Grüße,
Dirk Ahrnke


#3

dann werd ich das mal beobachten und den rest testen, das meiste ist ja schon da.

thx,
martin


#4

unsere PLUCS installation auf UCS 3.2 lief problemlos. Der Wechsel auf 4.0 erbrachte allerdings zwischenzeitlich keine Konnektivität. Müssen wir da auch auf ein Update der App warten?


#5

Hallo,

was meinen Sie mit “zwischenzeitlich keine Konnektivität”?
Im App Center für UCS 4 liegt die aktuelle PLUCS Version 0.2-0, unter UCS 3 wars 0.1-2.
Das ist allerdings nur unsere Integration, mit Wheezy/UCS 4 wurden gleichzeitig auch der ejabberd und die Erlang-Pakete aktualisiert.
Im Wesentlichen haben wir eigentlich “nur” die Abhängigkeiten aktualisiert und den MSRL (mod_shared_roster_ldap) entfernt, da der jetzt schon im ejabberd enthalten ist.
Die Upgrades haben im Test funktioniert, aber es kann natürlich sein, dass wir etwas übersehen haben.
Nähere Informationen zum Upgradeverlauf (Logs) und den installierten Paketversionen wären gut.

Viele Grüße,
Dirk Ahrnke


#6

moin,

installiert ist PLUCS in der Version 0.2-0 was ja aktuell zu sein scheint. Ich habe das Paket jetzt deinstalliert und wurde bei der Neuinstallation auf unserem Slave System mit folgender Fehlermeldung beglückt:

[quote]Ein Fehler ist aufgetreten:

Die Installation der Schemaerweiterung für LDAP auf DC Master scheint fehlgeschlagen zu sein.

Weitere Hinweise finden Sie in der folgenden Logdatei auf den beteiligten Systemen:
/var/log/univention/management-console-module-appcenter.log [/quote]

und hier das Log (gekürzt):

03.12.14 10:31:08.643 MODULE ( PROCESS ) : Installiere LDAP Pakete auf mars.dornier-tech.com 03.12.14 10:31:09.431 MODULE ( ERROR ) : mars.dornier-tech.com: 500 on mars.dornier-tech.com (appcenter/invoke): {"status": 592, "message": "Das angefragte Modul 'appcenter' existiert nicht.\nDas Modul k\u00f6nnte k\u00fcrzlich entfernt worden sein.\nBitte erneut an der Univention Management Console einloggen um zu sehen, ob der Fehler bestehen bleibt.\nWeitere Informationen k\u00f6nnen der Protokolldatei /var/log/univention/management-console-module-appcenter.log entnommen werden."} 03.12.14 10:31:09.431 MODULE ( WARN ) : Installing extension of LDAP schema for plucs_20140203 seems to have failed on DC Master mars.dornier-tech.com 03.12.14 10:31:09.432 MODULE ( WARN ) : Traceback (most recent call last): File "/usr/lib/pymodules/python2.7/univention/management/console/modules/appcenter/app_center.py", line 1522, in install self.install_master_packages_on_hosts(package_manager, remote_function, username, password, is_master=False) File "/usr/lib/pymodules/python2.7/univention/management/console/modules/appcenter/app_center.py", line 1472, in install_master_packages_on_hosts if not self.install_master_packages_on_host(package_manager, remote_function, host, username, password): File "/usr/lib/pymodules/python2.7/univention/management/console/modules/appcenter/app_center.py", line 1439, in install_master_packages_on_host result = connection.request('appcenter/invoke', {'function' : function, 'application' : self.id, 'force' : True, 'dont_remote_install' : True}) File "/usr/lib/pymodules/python2.7/univention/lib/umc_connection.py", line 141, in request raise HTTPException(error_message) HTTPException: 500 on mars.dornier-tech.com (appcenter/invoke): {"status": 592, "message": "Das angefragte Modul 'appcenter' existiert nicht.\nDas Modul k\u00f6nnte k\u00fcrzlich entfernt worden sein.\nBitte erneut an der Univention Management Console einloggen um zu sehen, ob der Fehler bestehen bleibt.\nWeitere Informationen k\u00f6nnen der Protokolldatei /var/log/univention/management-console-module-appcenter.log entnommen werden."}


#7

Hallo,

hier: “Das angefragte Modul ‘appcenter’ existiert nicht”
in Appcenter kann nicht geladen werden: “ImportError: No module named appcenter.app”

Das klingt, als bestünde hier ein Zusammenhang.
Ich schau mal, was ich dazu finde.

Viele Grüße,
Dirk Ahrnke


#8

Das AppCenter auf dem Server, auf dem ich PLUCS installieren möchte funktioniert. Das AppCenter auf dem DC Master aber nicht.


#9

In der aktuellen Version von PLUCS wird das Schema noch auf die herkömmliche Weise auf die DCs gebracht. Dazu muß das AppCenter auch dort funktionieren.


#10

dann ist die finale Frage: Wie bekomm ich das AppCenter auf dem DC-Master zum Laufen? :wink:

Gruß vom Bodensee